Subject: bug#17114: 24.3.50; right box line around image at first row and first column disappears

From: Stephen Berman <[email-masked]>
Date: Thu, 27 Mar 2014 10:11:11 +0100

On Thu, 27 Mar 2014 11:29:19 +0900 YAMAMOTO Mitsuharu <[email-masked]> wrote:

> Steps to reproduce:
>
>   1. $ emacs -Q -D &
>   2. (insert-image (create-image "splash.png")
> 	      (propertize " " 'face '(:box (:line-width 5)))) C-j
>   3. C-p C-f
>   4. Type C-l several times.
>
> Result:
>
>   The right box line disappears when the image comes to the first row.
>   This does not happen if we have an space just before the image.

I see this (on GNU Emacs 24.3.50.2 (x86_64-suse-linux-gnu, GTK+ Version
3.10.4) of 2014-03-18 on rosalinde, bzr r116798) when the image is moved
or reinserted into the first column, regardless of which row it is in.
For example, in the above recipe, after step 1, typing SPC, then step 2,
then C-a C-d to remove the space results in the right side of the box
disappearing.  And step 1, step 2, then DEL to delete the image, then
C-x u to restore the image to the first column likewise results in the
right side of the box disappearing.

>
> 				     YAMAMOTO Mitsuharu
> 				[email-masked]
>
> In GNU Emacs 24.3.50.1 (x86_64-apple-darwin13.1.0, GTK+ Version 3.10.7)
>  of 2014-03-27 on YAMAMOTO-no-iMac.local
> Repository revision: 116868 [email-masked]
> Windowing system distributor `The X.Org Foundation', version 11.0.11404000
> Configured using:
>  `configure --without-imagemagick LDFLAGS=-L/opt/local/lib
>  CPPFLAGS=-I/opt/local/include'

Steve Berman